Bug 733853 - [abrt] pdfshuffler-0.5.1-1.fc16: pdfshuffler:68:<module>:ImportError: /usr/lib64/python2.7/site-packages/poppler.so: undefined symbol: poppler_page_render_to_pixbuf_for_printing
Summary: [abrt] pdfshuffler-0.5.1-1.fc16: pdfshuffler:68:<module>:ImportError: /usr/li...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pdfshuffler
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:7e9d7ce79a4d820e319562d6d59...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-27 17:38 UTC by Boricua
Modified: 2012-03-21 18:43 UTC (History)
8 users (show)

Fixed In Version: pdfshuffler-0.6.0-0.2.20120302svn64.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-21 02:33:07 UTC


Attachments (Terms of Use)

Description Boricua 2011-08-27 17:38:13 UTC
abrt version: 2.0.5
cmdline:        
comment:        Crashed instantly after launch.
executable:     /usr/bin/pdfshuffler
kernel:         3.1.0-0.rc3.git0.0.fc16.x86_64
reason:         pdfshuffler:68:<module>:ImportError: /usr/lib64/python2.7/site-packages/poppler.so: undefined symbol: poppler_page_render_to_pixbuf_for_printing
time:           Sat Aug 27 13:37:27 2011
uid:            1000
username:       francisco

backtrace:
:pdfshuffler:68:<module>:ImportError: /usr/lib64/python2.7/site-packages/poppler.so: undefined symbol: poppler_page_render_to_pixbuf_for_printing
:
:Traceback (most recent call last):
:  File "/usr/bin/pdfshuffler", line 68, in <module>
:    import poppler      #for the rendering of pdf pages
:ImportError: /usr/lib64/python2.7/site-packages/poppler.so: undefined symbol: poppler_page_render_to_pixbuf_for_printing
:
:Local variables in innermost frame:
:locale: <module 'locale' from '/usr/lib64/python2.7/locale.pyc'>
:gettext: <module 'gettext' from '/usr/lib64/python2.7/gettext.pyc'>
:GInitiallyUnowned: <class 'gtk.__main__.GInitiallyUnowned'>
:GPollableOutputStream: <class 'gio.__main__.GPollableOutputStream'>
:shutil: <module 'shutil' from '/usr/lib64/python2.7/shutil.pyc'>
:tempfile: <module 'tempfile' from '/usr/lib64/python2.7/tempfile.pyc'>
:gtk: <module 'gtk' from '/usr/lib64/python2.7/site-packages/gtk-2.0/gtk/__init__.pyc'>
:urllib: <module 'urllib' from '/usr/lib64/python2.7/urllib.pyc'>
:__package__: None
:gio: <module 'gio' from '/usr/lib64/python2.7/site-packages/gtk-2.0/gio/__init__.pyc'>
:__doc__: '\n --------------------------------------------------------------------------\n\n PDF-Shuffler 0.5.1 - pyGTK PDF Merging, Rearranging, and Splitting\n Copyright (C) 2008-2010 Konstantinos Poulios\n <https://sourceforge.net/projects/pdfshuffler>\n\n --------------------------------------------------------------------------\n\n This program is free software; you can redistribute it and/or modify\n it under the terms of the GNU General Public License as published by\n the Free Software Foundation; either version 3 of the License, or\n (at your option) any later version.\n\n This program is distributed in the hope that it will be useful,\n but WITHOUT ANY WARRANTY; without even the implied warranty of\n MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the\n GNU General Public License for more details.\n\n You should have received a copy of the GNU General Public License along\n with this program; if not, write to the Free Software Foundation, Inc.,\n 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.\n\n --------------------------------------------------------------------------\n'
:__builtins__: <module '__builtin__' (built-in)>
:__file__: '/usr/bin/pdfshuffler'
:pygtk: <module 'pygtk' from '/usr/lib64/python2.7/site-packages/pygtk.pyc'>
:GPollableInputStream: <class 'gio.__main__.GPollableInputStream'>
:__name__: '__main__'
:pango: <module 'pango' from '/usr/lib64/python2.7/site-packages/gtk-2.0/pango.so'>
:copy: <function copy at 0xbadde8>
:sys: <module 'sys' (built-in)>
:threading: <module 'threading' from '/usr/lib64/python2.7/threading.pyc'>
:gobject: <module 'gobject' from '/usr/lib64/python2.7/site-packages/gobject/__init__.pyc'>
:os: <module 'os' from '/usr/lib64/python2.7/os.pyc'>

smolt_data:
:
:
:General
:=================================
:UUID: a46a7cc0-2ae9-45f6-b057-e76488b1c7c3
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 5883.88
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i3 CPU         530  @ 2.93GHz
:CPU Stepping: 2
:CPU Family: 6
:CPU Model Num: 37
:Number of CPUs: 4
:CPU Speed: 2933
:System Memory: 3906
:System Swap: 5951
:Vendor: System manufacturer
:System: System Product Name System Version
:Form factor: Desktop
:Kernel: 3.1.0-0.rc3.git0.0.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:11521:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:11361:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(5772:19:5772:8273) pci, ath5k, ETHERNET, TRENDnet TEW-443PI Wireless PCI Adapter
:(32902:64:4163:33667) pci, None, HOST/PCI, Core Processor DRAM Controller
:(32902:65:4163:33667) pci, pcieport, PCI/PCI, Core Processor PCI Express x16 Root Port
:(32902:11536:32902:32902) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11537:32902:32902) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(4147:404:4163:33811) pci, xhci_hcd, USB, P8P67 Deluxe Motherboard
:(32902:11539:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(32902:15152:4163:33667) pci, i801_smbus, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15136:4163:33667) pci, ata_piix, STORAGE, 5 Series/3400 Series Chipset 4 port SATA IDE Controller
:(32902:15106:4163:33667) pci, None, PCI/ISA, 5 Series Chipset LPC Interface Controller
:(32902:15142:4163:33667) pci, ata_piix, STORAGE, 5 Series/3400 Series Chipset 2 port SATA IDE Controller
:(4332:33128:4163:33699) pci, r8169, ETHERNET, M4A785TD Motherboard
:(32902:15164:4163:33667) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:9294:4163:33667) pci, None, PCI/PCI, 82801 PCI Bridge
:(6523:9057:4163:33359) pci, pata_jmicron, STORAGE, JMB361 AHCI/IDE
:(6523:9057:4163:33359) pci, ahci, STORAGE, JMB361 AHCI/IDE
:(32902:15174:4163:33667) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 3
:(32902:15176:4163:33667) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 4
:(32902:15170:4163:33667) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:4163:33667) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15182:4163:33667) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 7
:(32902:15184:4163:33667) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 8
:(32902:15190:4163:33653) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(32902:15156:4163:33667) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(4318:1600:4318:1919) pci, nouveau, VIDEO, G96 [GeForce 9500 GT]
:(32902:11538:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(6987:37197:4163:33792) pci, None, STORAGE, N/A
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_hogar-lv_root / ext4 4096 4096 12901535 11881162 11750140 3276800 3131626 3131626
:/dev/sda2 /boot ext4 1024 1024 495844 438977 413377 128016 127789 127789
:/dev/mapper/vg_hogar-lv_home /home ext4 4096 4096 225704236 224298699 212833586 57327616 57319874 57319874
:

Comment 1 Boricua 2011-08-29 15:39:17 UTC
Package: pdfshuffler-0.5.1-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Crash when launching pdfshuffler.

Comment 2 Christian Jann 2011-09-04 19:12:36 UTC
Package: pdfshuffler-0.5.1-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
just start pdfshuffler and see how it will crash

Comment 3 Rafał Mużyło 2011-09-29 17:51:52 UTC
Just a guess, cause the provided info doesn't show it, but in popler 0.18.0 poppler_page_render_to_pixbuf_for_printing and poppler_page_render_to_pixbuf are two of the four gdkpixbuf related functions, that were removed (poppler 0.16 can also be built with those functions disabled).

So either python-poppler will need to provide the functions on its own (so it will effectively stop being just a wrapper) or pdfshufler will need to implement it on its own.

Comment 4 Boricua 2011-10-09 18:04:20 UTC
Package: pdfshuffler-0.5.1-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
I tried to launch the application.

Comment 5 Mikko Tiihonen 2011-10-17 19:12:22 UTC
Package: pdfshuffler-0.5.1-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
launch pdfshuffler

Comment 6 Jeff Raber 2011-10-24 13:21:36 UTC
From bug 747481 :

pypoppler-0.12.1-16.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/pypoppler-0.12.1-16.fc16

Please try again with the updated pypoppler package.

Comment 7 Mikko Tiihonen 2011-10-24 13:35:39 UTC
Works now with pypoppler 0.12.1-16.fc16

Comment 8 Christian Jann 2011-10-24 14:06:35 UTC
Yes, it does not longer crash, but all previews are now black, hopefully this will be resolved upstream.

Comment 9 Rafał Mużyło 2011-10-31 17:08:11 UTC
(In reply to comment #8)
> Yes, it does not longer crash, but all previews are now black, hopefully this
> will be resolved upstream.

What upstream - the not really still active python-poppler upstream ?
Or perhaps pdfpopler upstream, that has been notified about the problem about 4 months ago (http://sourceforge.net/tracker/?func=detail&aid=3346212&group_id=235357&atid=1095819) ?

Comment 10 Christian Jann 2011-11-01 10:49:09 UTC
Yes, I've locked at this bug.

Quoting http://carlosgc.linups.org/gnome/gdk-api-removed-poppler.html:
"If you are still using the GDK API, please port it to cairo before 0.18 (scheduled for June 27). GDK API in poppler 0.16 is just a wrapper around the cairo one, so you can even copy and paste the code if you still need to render into a GdkPixbuf."

Somebody who has programming experience in GTK should be able to do this in under 2 hours, but I'm more a Qt guy.

It's just a matter of time until that gets fixed (when the other distributions start shipping newer versions), there are enough people using pdfshuffler and as an alternative there is pdfchain.

Comment 11 Sébastien LOSS 2011-11-01 23:39:40 UTC
Package: pdfshuffler-0.5.1-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Just install PDF Shuffler (pdfshuffler) and try to run it. It doesn't launch at all. It doesn't not seem well compiled for Fedora 16.

Comment 12 Steven Stern 2011-11-14 15:22:52 UTC
Also occurs with 32 bit version of F16:


 pdfshuffler
Traceback (most recent call last):
  File "/usr/bin/pdfshuffler", line 68, in <module>
    import poppler      #for the rendering of pdf pages
ImportError: /usr/lib/python2.7/site-packages/poppler.so: undefined symbol: poppler_page_render_to_pixbuf_for_printing

Comment 13 kbridger 2011-11-14 16:39:13 UTC
Package: pdfshuffler-0.5.1-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Tried to launch

Comment 14 Fedora Update System 2012-03-02 10:54:23 UTC
pdfshuffler-0.6.0-0.2.20120302svn64.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/pdfshuffler-0.6.0-0.2.20120302svn64.fc16

Comment 15 Fedora Update System 2012-03-02 10:55:31 UTC
pdfshuffler-0.6.0-0.2.20120302svn64.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/pdfshuffler-0.6.0-0.2.20120302svn64.fc15

Comment 16 Fedora Update System 2012-03-02 10:56:50 UTC
pdfshuffler-0.6.0-0.2.20120302svn64.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/pdfshuffler-0.6.0-0.2.20120302svn64.fc17

Comment 17 Fedora Update System 2012-03-05 20:54:59 UTC
Package pdfshuffler-0.6.0-0.2.20120302svn64.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pdfshuffler-0.6.0-0.2.20120302svn64.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-2846/pdfshuffler-0.6.0-0.2.20120302svn64.fc17
then log in and leave karma (feedback).

Comment 18 Fedora Update System 2012-03-21 02:33:07 UTC
pdfshuffler-0.6.0-0.2.20120302svn64.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2012-03-21 02:38:41 UTC
pdfshuffler-0.6.0-0.2.20120302svn64.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2012-03-21 18:43:28 UTC
pdfshuffler-0.6.0-0.2.20120302svn64.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.